import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { INStickerType } from "./INStickerType.js";
export declare class _INSticker extends _NSObject {
    static alloc(): _INSticker;
    static new(): _INSticker;
    init(): _INSticker;
    /**
     * Creates an object that represents a sticker a person sends in a message. - Parameters: - type: The type of the sticker. - emoji: The single emoji character that the sticker represents.
     */
    initWithType$emoji$(type: INStickerType, emoji: _NSString | null): _INSticker;
    type(): INStickerType;
    emoji(): _NSString | null;
}
export interface _INSticker extends _NSCopying, _NSSecureCoding {
}
